### Method

# Phosh DBusScreenshot complete_screenshot

#### Declaration [src]

    void
    phosh_dbus_screenshot_complete_screenshot (
      PhoshDBusScreenshot* object,
      GDBusMethodInvocation* invocation,
      gboolean success,
      const gchar* filename_used
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the Screenshot() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`success`

  Type: `gboolean`

  Parameter to return.

`filename_used`

  Type: `const gchar*`

  Parameter to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.